<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Country;
use App\Repositories\CountriesRepository;
use Illuminate\Http\Request;

class CountriesController extends Controller
{

    private $countriesRepository;

    public function __construct(CountriesRepository $countriesRepository)
    {
        $this->countriesRepository = $countriesRepository;
    }

    public function index()
    {
        $rows = $this->countriesRepository->index();
        return view('admin.countries.index', compact('rows'));
    }


    public function create()
    {
        return view('admin.countries.create');
    }

    public function store(Request $request)
    {
        $this->validate($request, [
            'name_ar' => 'required',
            'name_en' => 'required',
            'code' => 'required',
            'image' => 'required',

        ]);
        $this->countriesRepository->store();

        success_toast();


        return redirect()->route('countries.index');

    }


    public function show($id)
    {
        //
    }

    public function edit($id)
    {
        $row = $this->countriesRepository->show($id);
        return view('admin.countries.edit', compact('row'));
    }


    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'name_ar' => 'required',
            'name_en' => 'required',
            'code' => 'required',
        ]);
        $this->countriesRepository->update($id);

        success_toast();

        return redirect()->route('countries.index');

    }


    public function destroy($id)
    {

        $this->countriesRepository->destroy($id);
        success_toast();


        return redirect()->back();
    }
}
