<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Repositories\CourseRequestsRepositories;
use App\Repositories\NewTopicsRepository;
use App\Repositories\NotificationsRepository;
use Illuminate\Http\Request;

class CourseRequestsController extends Controller
{
    private $courseRequests;

    public function __construct(CourseRequestsRepositories $courseRequests)
    {
        $this->courseRequests = $courseRequests;
    }

    public function index()
    {
        $rows = $this->courseRequests->index('paid');
        return view('admin.course_requests.index', compact('rows'));
    }


    public function create()
    {
        return view('admin.course_requests.create');
    }

    public function store(Request $request)
    {
        //
    }


    public function show($id)
    {
        //
    }

    public function edit($id)
    {
        $row = $this->courseRequests->show($id);
           return view('admin.course_requests.edit', compact('row'));
    }


    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'admin_accept' => 'required',
        ]);
        $this->courseRequests->update($id);
        success_toast();
        return redirect()->route('course_requests.index');

    }


    public function destroy($id)
    {
        $this->courseRequests->destroy($id);
        success_toast();
        return redirect()->back();
    }
}
