<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Repositories\ExamsRepository;
use Illuminate\Http\Request;

class ExamsController extends Controller
{



    private $examsRepository;

    public function __construct(ExamsRepository $examsRepository)
    {
        $this->examsRepository = $examsRepository;
    }
    public function index()
    {
        $rows = $this->examsRepository->index();
        return view('admin.exams.index', compact('rows'));
    }


    public function create()
    {
        return view('admin.exams.create');
    }

    public function store(Request $request)
    {
        $this->validate($request, [
            'title_ar' => 'required',
            'title_en' => 'required',
            'image' => 'required',
            'file'=>'required'

        ]);
        $this->examsRepository->store();

        success_toast();
        return redirect()->route('exams.index');

    }


    public function show($id)
    {
        //
    }

    public function edit($id)
    {
        $row = $this->examsRepository->show($id);
        return view('admin.exams.edit', compact('row'));
    }


    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'title_ar' => 'required',
            'title_en' => 'required'
        ]);
        $this->examsRepository->update($id);

        success_toast();
        return redirect()->route('exams.index');

    }


    public function destroy($id)
    {

        $this->examsRepository->destroy($id);
        success_toast();
        return redirect()->back();
    }
}
