<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Repositories\StudentsSubscribersRepository;
use Illuminate\Http\Request;

class StudentsSubscribersController extends Controller
{

    private $studentsSubscribersRepository;

    public function __construct(StudentsSubscribersRepository $studentsSubscribersRepository)
    {
        $this->studentsSubscribersRepository = $studentsSubscribersRepository;
    }

    public function index()
    {
        $rows = $this->studentsSubscribersRepository->index();
        return view('admin.students.index', compact('rows'));
    }

    public function update($id)
    {
        $this->studentsSubscribersRepository->update($id);
        success_toast();
        return redirect()->back();
    }
}
