<?php

namespace App\Http\Resources;

use Carbon\Carbon;
use Illuminate\Http\Resources\Json\JsonResource;

class ReferenceSummaryResources extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $lang = $request->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        return  [
          'id'=>$this->id,
            'image'=>$this->image,
            'title'=>$this->title[$lang],
            'category_id'=>$this->category_id,
            'category_name'=>$this->category->name[$lang],
            'description'=>$this->description ? $this->description[$lang] : '',
            'inside_advise'=>$this->inside_advise ? $this->inside_advise[$lang] : '',
            'date'=>Carbon::parse($this->created_at)->toDateString()
        ];
    }
}
