<?php

namespace App\Jobs;

use App\Models\Token;
use App\Repositories\NotificationsRepository;
use Edujugon\PushNotification\PushNotification;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldBeUnique;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;

class SendNotification implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    private $user_id;
    private $body_ar;
    private $body_en;
    private $type;

    /**
     * @var NotificationsRepository
     */


    public function __construct($user_id, $body_ar, $body_en, $type)
    {
        //
        $this->user_id = $user_id;
        $this->type = $type;
        $this->body_ar = $body_ar;
        $this->body_en = $body_en;

    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {

        $tokens = Token::whereStatus('connected')->whereUserId($this->user_id)->get();;

        foreach ($tokens as $token) {
            if ($token->device_lang = 'ar') {
                $title = $this->body_ar;
                $body = $this->body_ar;
            } else {
                $title = $this->body_en;
                $body = $this->body_en;
            }
            $push = new PushNotification('fcm');

            if ($token->device_type == 'ios') {

                $msg = [
                    'data' => [
                        'title_ar' => $this->body_ar,
                        'title' => $title,
                        'body' => $body,
                        'title_en' => $this->body_en,
                        'body_ar' => $this->body_ar,
                        'body_en' => $this->body_en,
                        'status' => $this->type,


                        'sound' => 'default',
                        'click_action' => 'FCM_PLUGIN_ACTIVITY',
                    ],
                    'notification' => [
                        'title_ar' => $this->body_ar,
                        'title' => $title,
                        'title_en' => $this->body_en,
                        'body_ar' => $this->body_ar,
                        'body_en' => $this->body_en,
                        'status' => $this->type,


                        'body' => $body,

                        'sound' => 'default',
                        'click_action' => 'FCM_PLUGIN_ACTIVITY',
                    ],
                    'priority' => 'high',
                ];
                $push->setMessage($msg)
                    ->setDevicesToken($token->token)
                    ->send();
            } else {
                $msg = [
                    'data' => [
                        'title_ar' => $this->body_ar,
                        'title' => $title,
                        'body' => $body,
                        'title_en' => $this->body_en,
                        'body_ar' => $this->body_ar,
                        'body_en' => $this->body_en,
                        'status' => $this->type,

                        'sound' => 'default',
                        'click_action' => 'FCM_PLUGIN_ACTIVITY',
                    ],
                    'priority' => 'high',
                ];
                $push->setMessage($msg)
                    ->setDevicesToken($token->token)
                    ->send();
            }
        }


    }
}
