<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class CourseRequest extends Model
{

    protected $table = 'course_requests';
    public $timestamps = true;
    protected $fillable = array('user_id', 'course_id', 'payment_type', 'paid', 'admin_accept', 'price');


    public function course()
    {
        return $this->belongsTo(Course::class, 'course_id');
    }

    public function student()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function transfer()
    {
        return $this->hasOne(PaymentTransfer::class, 'course_request_id');
    }

}
