<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ReferenceSummary extends Model
{

    protected $table = 'reference_summaries';
    public $timestamps = true;
    protected $fillable = array('image', 'title', 'category_id', 'description', 'inside_advise');

    protected $casts = ['title' => 'json', 'description' => 'json', 'inside_advise' => 'json'];

    public function category()
    {
        return $this->belongsTo(Category::class, 'category_id');
    }
    public function getImageAttribute()
    {

        if (isset($this->attributes['image'])) {
            return asset('images/reference_summaries/') . '/' . $this->attributes['image'];
        }
        return asset('logo.png');
    }

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/reference_summaries/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }
}
