<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class RevisionRequest extends Model
{

    protected $table = 'revision_requests';
    public $timestamps = true;
    protected $fillable = array('days_count','bank_name', 'bank_account_number', 'bank_iban_number', 'user_id', 'code', 'name', 'email', 'body', 'document', 'revision_price_id', 'status', 'payment_type', 'bank_id', 'transfer_image','completed');



    public function setTransferImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/revision_requests/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['transfer_image'] = $filename;
    }

    public function getTransferImageAttribute()
    {
        if ($this->attributes['transfer_image']) {
            return asset('images/revision_requests/') . '/' . $this->attributes['transfer_image'];
        }
        return asset('logo.png');
    }



    public function setDocumentAttribute()
    {
        $file = request()->file('document');
        $destinationPath = 'documents/revision_requests/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['document'] = $filename;
    }

    public function getDocumentAttribute()
    {
        if ($this->attributes['document']) {
            return asset('documents/revision_requests/') . '/' . $this->attributes['document'];
        }
        return asset('logo.png');
    }



    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function price()
    {
        return $this->belongsTo(RevisionPrice::class, 'revision_price_id');
    }

    public function bank()
    {
        return $this->belongsTo(Bank::class, 'bank_id');
    }


}
