<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class TopicLibraryRequest extends Model
{
    use HasFactory;

    protected $table = 'topic_library_requests';
    public $timestamps = false;
    protected $fillable = array('user_id', 'topic_library_id', 'payment_type', 'admin_accept', 'price', 'bank_name', 'image', 'bank_account_number', 'bank_iban_number', 'bank_id');

    public function topic_library()
    {
        return $this->belongsTo(TopicLibrary::class, 'topic_library_id');
    }

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/topic_libraries/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/topic_libraries/') . '/' . $this->attributes['image'];
        }
        return asset('logo.png');
    }

    public function student()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function bank()
    {
        return $this->belongsTo(Bank::class, 'bank_id');
    }

}
