<?php


namespace App\Repositories;


use App\Models\Course;
use App\Models\CourseDay;
use App\Models\CourseDocument;
use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;

class FreeCoursesRepository
{
    public function index()
    {

        return Course::wherePaid('false')->orderByDesc('id')->get();
    }

    public function store()
    {
        $course = new Course();
        $course['title->ar'] = request()->title_ar;
        $course['title->en'] = request()->title_en;
        $course['description->ar'] = request()->description_ar;
        $course['description->en'] = request()->description_en;
        $course['category_id'] = request()->category_id;


        $course['paid'] = 'false';
        $course['start_date'] = Carbon::parse(request()->start_date);
        $course['end_date'] = Carbon::parse(request()->end_date);
        if (request()->hasFile('image')) $course->setImageAttribute();
        $course['course_code'] = rand(1111, 9999);
        $course->save();
        $days = ['Saturday' => 'السبت', 'Sunday' => 'الأحد', 'Monday' => 'الإثنين', 'Tuesday' => 'الثلاثاء', 'Wednesday' => 'الأربعاء', 'Thursday' => 'الخميس', 'Friday' => 'الجمعة'];

        $day_name = count(request()->day_name);
        for ($i = 0; $i < $day_name; $i++) {
            $course_day = new CourseDay();
            $course_day['day_name->ar'] = $days[request()->day_name[$i]];
            $course_day['day_name->en'] = request()->day_name[$i];
            $course_day['course_id'] = $course->id;
            $course_day['day_code'] = request()->day_name[$i];
            $course_day['from_hour'] = request()->from_hour[$i];
            $course_day['to_hour'] = request()->to_hour[$i];
            $course_day->save();

        }
    }

    public function show($id){
        return Course::findOrFail($id);
    }

    public function update($id)
    {
        $course = $this->show($id);
        $course['title->ar'] = request()->title_ar;
        $course['title->en'] = request()->title_en;
        $course['description->ar'] = request()->description_ar;
        $course['description->en'] = request()->description_en;
        $course['category_id'] = request()->category_id;
        $course['start_date'] = Carbon::parse(request()->start_date);
        $course['end_date'] = Carbon::parse(request()->end_date);
        if (request()->hasFile('image')) $course->setImageAttribute();
        $course->update();
    }

}
