<?php


namespace App\Repositories;


use App\Jobs\SendNotification;
use App\Models\Notification;
use App\Models\Token;
use Carbon\Carbon;
use Edujugon\PushNotification\PushNotification;
use Illuminate\Database\Eloquent\Model;


class NotificationsRepository
{
    public function sendZoomNotifications($users, $course)
    {

        foreach ($users as $user) {
            $notification = new Notification();
            $notification['body->ar'] = " تم تحديث رابط الزوم الخاص بالدورة " . $course->title['ar'];
            $notification['body->en'] = " Zoom link for Course  " . $course->title['en'] . ' has been updated';
            $notification['type'] = 'course';
            $notification['user_id'] = $user->id;
            $notification['side_col'] = $course->zoom_link;
            $notification->save();

            $tokens = Token::where('user_id', $user->id)->get();
            foreach ($tokens as $token) {

                $push = new PushNotification('fcm');
                if ($token->device_type == 'ios') {

                    $msg = [
                        'data' => [
                            'title' => $notification->body[$token->device_lang],
                            'sound' => 'default',
                            'click_action' => 'FCM_PLUGIN_ACTIVITY',
                            'body' => $notification->body[$token->device_lang],
                            'status' => 'course',
                            'link' => $course->zoom_link

                        ],
                        'notification' => [
                            'title' => $notification->body[$token->device_lang],
                            'body' => $notification->body[$token->device_lang],
                            'link' => $course->zoom_link,
                            'status' => 'course',
                            'sound' => 'default',
                            'click_action' => 'FCM_PLUGIN_ACTIVITY',
                        ],
                        'priority' => 'high',
                    ];
                    $push->setMessage($msg)
                        ->setDevicesToken($token->token)
                        ->send();
                } else {
                    $msg = [
                        'data' => [
                            'title' => $notification->body[$token->device_lang],
                            'sound' => 'default',
                            'click_action' => 'FCM_PLUGIN_ACTIVITY',
                            'body' => $notification->body[$token->device_lang],
                            'status' => 'course',
                            'link' => $course->zoom_link


                        ],
                        'priority' => 'high',
                    ];
                    $push->setMessage($msg)
                        ->setDevicesToken($token->token)
                        ->send();
                }
            }
        }


    }

    public function sendDocumentNotifications($users, $course)
    {

        foreach ($users as $user) {
            $notification = new Notification();
            $notification['body->ar'] = "تم إرفاق ملف جديد في دورة " . $course->title['ar'];
            $notification['body->en'] = " We Added a new document to  " . $course->title['en'];
            $notification['type'] = 'course';
            $notification['user_id'] = $user->id;
            $notification['side_col'] = $course->id;
            $notification->save();

            $tokens = Token::where('user_id', $user->id)->get();
            foreach ($tokens as $token) {

                $push = new PushNotification('fcm');
                if ($token->device_type == 'ios') {

                    $msg = [
                        'data' => [
                            'title' => $notification->body[$token->device_lang],
                            'sound' => 'default',
                            'click_action' => 'FCM_PLUGIN_ACTIVITY',
                            'body' => $notification->body[$token->device_lang],
                            'status' => 'course',
                            'link' => ''

                        ],
                        'notification' => [
                            'title' => $notification->body[$token->device_lang],
                            'body' => $notification->body[$token->device_lang],
                            'link' => '',
                            'status' => 'course',
                            'sound' => 'default',
                            'click_action' => 'FCM_PLUGIN_ACTIVITY',
                        ],
                        'priority' => 'high',
                    ];
                    $push->setMessage($msg)
                        ->setDevicesToken($token->token)
                        ->send();
                } else {
                    $msg = [
                        'data' => [
                            'title' => $notification->body[$token->device_lang],
                            'sound' => 'default',
                            'click_action' => 'FCM_PLUGIN_ACTIVITY',
                            'body' => $notification->body[$token->device_lang],
                            'status' => 'course',
                            'link' => ''


                        ],
                        'priority' => 'high',
                    ];
                    $push->setMessage($msg)
                        ->setDevicesToken($token->token)
                        ->send();
                }
            }
        }


    }

    public function sendUpdatedDocumentNotifications($users, $course)
    {

        foreach ($users as $user) {
            $notification = new Notification();
            $notification['body->ar'] = "تم تحديث في دورة " . $course->title['ar'];
            $notification['body->en'] = " We Updated A document  " . $course->title['en'];
            $notification['type'] = 'course';
            $notification['user_id'] = $user->id;
            $notification['side_col'] = $course->id;
            $notification->save();

            $tokens = Token::where('user_id', $user->id)->get();
            foreach ($tokens as $token) {

                $push = new PushNotification('fcm');
                if ($token->device_type == 'ios') {

                    $msg = [
                        'data' => [
                            'title' => $notification->body[$token->device_lang],
                            'sound' => 'default',
                            'click_action' => 'FCM_PLUGIN_ACTIVITY',
                            'body' => $notification->body[$token->device_lang],
                            'status' => 'course',
                            'link' => ''

                        ],
                        'notification' => [
                            'title' => $notification->body[$token->device_lang],
                            'body' => $notification->body[$token->device_lang],
                            'link' => '',
                            'status' => 'course',
                            'sound' => 'default',
                            'click_action' => 'FCM_PLUGIN_ACTIVITY',
                        ],
                        'priority' => 'high',
                    ];
                    $push->setMessage($msg)
                        ->setDevicesToken($token->token)
                        ->send();
                } else {
                    $msg = [
                        'data' => [
                            'title' => $notification->body[$token->device_lang],
                            'sound' => 'default',
                            'click_action' => 'FCM_PLUGIN_ACTIVITY',
                            'body' => $notification->body[$token->device_lang],
                            'status' => 'course',
                            'link' => ''


                        ],
                        'priority' => 'high',
                    ];
                    $push->setMessage($msg)
                        ->setDevicesToken($token->token)
                        ->send();
                }
            }
        }


    }

    public function sendTopicNotification($user, $body_ar, $body_en, $type, $link = null)
    {


        $notification = new Notification();
        $notification['user_id'] = $user;
        $notification['body->ar'] = $body_ar;
        $notification['body->en'] = $body_en;
        $notification['type'] = $type;
        $notification['side_col'] = $link;
        $notification->save();
        $tokens = Token::where('user_id', $user)->get();
        foreach ($tokens as $token) {

            $push = new PushNotification('fcm');
            if ($token->device_type == 'ios') {

                $msg = [
                    'data' => [
                        'title' => $notification->body[$token->device_lang],
                        'sound' => 'default',
                        'click_action' => 'FCM_PLUGIN_ACTIVITY',
                        'body' => $notification->body[$token->device_lang],
                        'status' => 'course',
                        'link' => $link ? $link : ''

                    ],
                    'notification' => [
                        'title' => $notification->body[$token->device_lang],
                        'body' => $notification->body[$token->device_lang],

                        'status' => 'course',
                        'link' => $link ? $link : '',
                        'sound' => 'default',
                        'click_action' => 'FCM_PLUGIN_ACTIVITY',
                    ],
                    'priority' => 'high',
                ];
                $push->setMessage($msg)
                    ->setDevicesToken($token->token)
                    ->send();
            } else {
                $msg = [
                    'data' => [
                        'title' => $notification->body[$token->device_lang],
                        'sound' => 'default',
                        'click_action' => 'FCM_PLUGIN_ACTIVITY',
                        'body' => $notification->body[$token->device_lang],

                        'status' => 'course',
                        'link' => $link ? $link : ''


                    ],
                    'priority' => 'high',
                ];
                $push->setMessage($msg)
                    ->setDevicesToken($token->token)
                    ->send();
            }
        }


    }

    public function saveNotification($user, $body_ar, $body_en, $type)
    {
        $notification = new Notification();
        $notification['user_id'] = $user;
        $notification['body->ar'] = $body_ar;
        $notification['body->en'] = $body_en;
        $notification['type'] = $type;
        $notification->save();
        $this->sendGeneralNotification($user, $body_ar, $body_en, $type);
    }

    public function getUserTokens($id)
    {
        return Token::whereStatus('connected')->whereUserId($id)->get();
    }

    public function sendGeneralNotification($user_id, $body_ar, $body_en, $type)
    {
        $job = (new SendNotification($user_id, $body_ar, $body_en, $type))->delay(Carbon::now()->addSeconds(10));
        dispatch($job);
    }

}
