@extends('admin.layout.master')
@section('title', 'الاسئلة المشتركة')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الاسئلة المشتركة</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تعديل البيانات</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('common_questions.update',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')
                            <div class="form-group">
                                <label for="exampleInputEmail1">الاسم</label>
                                <input type="text" class="form-control" value="{{$row->name}}" name="name"
                                       id="exampleInputEmail1"
                                       placeholder="العنوان بالعربية">
                                @if ($errors->has('name'))
                                    <small class="text-danger">{{ $errors->first('name') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">البريد الالكترونى</label>
                                <input type="text" class="form-control" value="{{$row->email}}" name="email"
                                       id="exampleInputEmail1"
                                       placeholder="البريد الالكترونى">
                                @if ($errors->has('email'))
                                    <small class="text-danger">{{ $errors->first('email') }}</small>
                                @endif
                            </div>


                            <div class="form-group">
                                <label for="exampleInputEmail1">سؤال</label>
                                <textarea name="question" class="form-control"
                                          placeholder="سؤال">{{$row->question}}</textarea>
                                @if ($errors->has('question'))
                                    <small class="text-danger">{{ $errors->first('question') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">جواب</label>
                                <textarea name="answer" class="form-control"
                                          placeholder="جواب">{{$row->answer}}</textarea>
                                @if ($errors->has('answer'))
                                    <small class="text-danger">{{ $errors->first('answer') }}</small>
                                @endif
                            </div>


                            <div class="form-group">
                                <label for="exampleSelect1">الحالة</label>
                                <select name="show" class="form-control" id="exampleSelect1">
                                    <option @if($row->show == 'true') selected @endif value="true">عرض</option>
                                    <option @if($row->show == 'false') selected @endif value="false">اخفاء</option>
                                </select>
                                @if ($errors->has('status'))
                                    <small class="text-danger">{{ $errors->first('status') }}</small>
                                @endif
                            </div>



                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
