@extends('admin.layout.master')
@section('title', 'تعديل بيانات الدورة')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">تعديل بيانات الدورة</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تعديل البيانات</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('courses.update',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')


                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">الاسم بالعربية</label>
                                    <input type="text" class="form-control" value="{{$row->title['ar']}}"
                                           name="title_ar"
                                           id="exampleInputEmail1"
                                           placeholder="الاسم بالعربية">
                                    @if ($errors->has('title_ar'))
                                        <small class="text-danger">{{ $errors->first('title_ar') }}</small>
                                    @endif
                                </div>

                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">الاسم بالانجليزية</label>
                                    <input type="text" class="form-control" value="{{$row->title['en']}}"
                                           name="title_en"
                                           id="exampleInputEmail1"
                                           placeholder="الاسم بالانجليزية">
                                    @if ($errors->has('title_en'))
                                        <small class="text-danger">{{ $errors->first('title_en') }}</small>
                                    @endif
                                </div>


                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">الوصف باللغة العربية</label>
                                    <textarea name="description_ar" required class="form-control"
                                              placeholder="الوصف باللغة العربية">{{$row->description['ar']}}</textarea>
                                    @if ($errors->has('description_ar'))
                                        <small class="text-danger">{{ $errors->first('description_ar') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">الوصف باللغة الإنجليزية</label>
                                    <textarea name="description_en" required class="form-control"
                                              placeholder="الوصف باللغة الإنجليزية">{{$row->description['en']}}</textarea>
                                    @if ($errors->has('description_en'))
                                        <small class="text-danger">{{ $errors->first('description_en') }}</small>
                                    @endif
                                </div>

                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">القسم</label>
                                    <select name="category_id" required class="form-control">
                                        @foreach($categories as $category)
                                            <option
                                                {{$row->category_id == $category->id ? "selected" : ""}} value="{{$category->id}}"> {{$category->name['ar']}} </option>
                                        @endforeach
                                    </select>
                                    @if ($errors->has('category_id'))
                                        <small class="text-danger">{{ $errors->first('category_id') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">السعر</label>
                                    <input type="text" value="{{$row->price}}" name="price" required
                                           class="form-control"
                                           placeholder="سعر الدورة المدفوعة">
                                    @if ($errors->has('price'))
                                        <small class="text-danger">{{ $errors->first('price') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">تاريخ بداية الدورة</label>
                                    <input type="date" value="{{$row->start_date}}" name="start_date" required
                                           class="form-control">
                                    @if ($errors->has('start_date'))
                                        <small class="text-danger">{{ $errors->first('start_date') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">تاريخ نهاية الدورة</label>
                                    <input type="date" value="{{$row->end_date}}" name="end_date" required
                                           class="form-control">
                                    @if ($errors->has('end_date'))
                                        <small class="text-danger">{{ $errors->first('end_date') }}</small>
                                    @endif
                                </div>


                                <div class="form-group col-md-12">
                                    <label for="exampleInputEmail1">الصورة </label>
                                    <input data-default-file="{{$row->image}}" type="file" name="image"
                                           class="dropify"/>
                                </div>
                            </div>

                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
                <div class="card-box">
                    <h3>مواعيد الدورة</h3>



                    <p class="sub-header">
                        <button type="button" class="btn btn-success waves-effect waves-light"
                                data-toggle="modal" data-target="#createModel">إنشاء ميعاد جديد
                        </button>

                    <div id="createModel" class="modal fade" tabindex="-1" role="dialog"
                         aria-labelledby="myModalLabel" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title"
                                        id="myModalLabel">تعديل الميعاد</h5>
                                    <button type="button" class="close" data-dismiss="modal"
                                            aria-hidden="true">×
                                    </button>
                                </div>


                                <form method="post" enctype="multipart/form-data"
                                      action="{{route('create_course_day',$row->id)}}">
                                    @csrf
                                    <div class="modal-body">
                                        <h5 class="font-16">إنشاء الميعاد</h5>





                                        <div class="form-group">
                                            <label for="exampleInputEmail1">اليوم</label>
                                            <select name="day_name" required class="form-control">
                                                @foreach($days as $key=>$value)

                                                    <option value="{{$key}}">{{$value}}</option>
                                                @endforeach
                                            </select>
                                            @if ($errors->has('day_name'))
                                                <small class="text-danger">{{ $errors->first('day_name') }}</small>
                                            @endif
                                        </div>
                                        <div class="form-group">
                                            <label for="exampleInputEmail1">الساعه من</label>
                                            <input type="time" required placeholder="الساعه من" class="form-control"
                                                   name="from_hour">
                                            @if ($errors->has('from_hour'))
                                                <small class="text-danger">{{ $errors->first('from_hour') }}</small>
                                            @endif
                                        </div>
                                        <div class="form-group">
                                            <label for="exampleInputEmail1">الساعه إلى</label>
                                            <input type="time" required placeholder="الساعه إلى" class="form-control"
                                                   name="to_hour">
                                            @if ($errors->has('to_hour'))
                                                <small class="text-danger">{{ $errors->first('to_hour') }}</small>
                                            @endif
                                        </div>



                                    </div>
                                    <div class="modal-footer">





                                        <button type="button" class="btn btn-light waves-effect"
                                                data-dismiss="modal">إلغاء
                                        </button>
                                        <button type="submit"
                                                class="btn btn-success waves-effect waves-light">إنشاء
                                        </button>
                                    </div>

                                </form>


                            </div><!-- /.modal-content -->
                        </div><!-- /.modal-dialog -->
                    </div><!-- /.modal -->


                    </p>
                    <table id="datatable" class="table table-bordered dt-responsive nowrap"
                           style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                        <thead>
                        <tr style="font-size: large ; font-family: cairo">
                            <th>#</th>
                            <th>اليوم</th>
                            <th>الساعه من</th>
                            <th>الساعه إلى</th>
                            <th>التحكم</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php
                        $i = 1;
                        ?>
                        @foreach($course_days as $course_day)
                            <tr>

                                <td>{{$i}}</td>
                                <td>{{$course_day->day_name['ar']}}</td>
                                <td>{{\Carbon\Carbon::parse($course_day->from_hour)->format('g:i:s a')}}</td>
                                <td>{{\Carbon\Carbon::parse($course_day->to_hour)->format('g:i:s a')}}</td>


                                <td>
                                    <button type="button" class="btn btn-danger waves-effect waves-light"
                                            data-toggle="modal" data-target="#myModal{{$course_day->id}}">حذف
                                    </button>

                                    <button type="button" class="btn btn-success waves-effect waves-light"
                                            data-toggle="modal" data-target="#EditModel{{$course_day->id}}">تعديل
                                    </button>

                                </td>
                            </tr>
                            <?php
                            $i++;
                            ?>
                            <div id="myModal{{$course_day->id}}" class="modal fade" tabindex="-1" role="dialog"
                                 aria-labelledby="myModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title"
                                                id="myModalLabel">حذف العنصر</h5>
                                            <button type="button" class="close" data-dismiss="modal"
                                                    aria-hidden="true">×
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            <h5 class="font-16">هل تريد الحذف ؟</h5>

                                        </div>
                                        <div class="modal-footer">

                                            <form method="post" enctype="multipart/form-data"
                                                  action="{{route('delete_course_day',$course_day->id)}}">
                                                @csrf
                                                @method('DELETE')
                                                <button type="button" class="btn btn-light waves-effect"
                                                        data-dismiss="modal">إلغاء
                                                </button>
                                                <button type="submit"
                                                        class="btn btn-danger waves-effect waves-light">حذف
                                                </button>
                                            </form>


                                        </div>
                                    </div><!-- /.modal-content -->
                                </div><!-- /.modal-dialog -->
                            </div><!-- /.modal -->



                            <div id="EditModel{{$course_day->id}}" class="modal fade" tabindex="-1" role="dialog"
                                 aria-labelledby="myModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title"
                                                id="myModalLabel">تعديل الميعاد</h5>
                                            <button type="button" class="close" data-dismiss="modal"
                                                    aria-hidden="true">×
                                            </button>
                                        </div>


                                        <form method="post" enctype="multipart/form-data"
                                              action="{{route('update_course_day',$course_day->id)}}">
                                            @csrf
                                            <div class="modal-body">
                                                <h5 class="font-16">تعديل الميعاد</h5>





                                                    <div class="form-group">
                                                        <label for="exampleInputEmail1">اليوم</label>
                                                        <select name="day_name" required class="form-control">
                                                            @foreach($days as $key=>$value)

                                                                <option {{$course_day->day_code  == $key ? "selected" : ''}} value="{{$key}}">{{$value}}</option>
                                                            @endforeach
                                                        </select>
                                                        @if ($errors->has('day_name'))
                                                            <small class="text-danger">{{ $errors->first('day_name') }}</small>
                                                        @endif
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="exampleInputEmail1">الساعه من</label>
                                                        <input type="time" required placeholder="الساعه من" value="{{$course_day->from_hour}}" class="form-control"
                                                               name="from_hour">
                                                        @if ($errors->has('from_hour'))
                                                            <small class="text-danger">{{ $errors->first('from_hour') }}</small>
                                                        @endif
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="exampleInputEmail1">الساعه إلى</label>
                                                        <input type="time" required placeholder="الساعه إلى" value="{{$course_day->to_hour}}" class="form-control"
                                                               name="to_hour">
                                                        @if ($errors->has('to_hour'))
                                                            <small class="text-danger">{{ $errors->first('to_hour') }}</small>
                                                        @endif
                                                    </div>



                                            </div>
                                            <div class="modal-footer">





                                                <button type="button" class="btn btn-light waves-effect"
                                                        data-dismiss="modal">إلغاء
                                                </button>
                                                <button type="submit"
                                                        class="btn btn-success waves-effect waves-light">تعديل
                                                </button>
                                            </div>

                                        </form>


                                    </div><!-- /.modal-content -->
                                </div><!-- /.modal-dialog -->
                            </div><!-- /.modal -->




                        @endforeach

                        </tbody>
                    </table>
                </div>
            </div>
        </div><!-- end col -->
    </div>



@stop
