@extends('admin.layout.master')
@section('title', "تفاصيل الدورة")
@section('content')



    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">تفاصيل الدورة</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                {{--                 @include('admin.layout.message')--}}

                <h4 class="header-title">تفاصيل الدورة</h4>

                <button type="button" class="btn btn-info waves-effect waves-light"
                        data-toggle="modal" data-target="#NotificationModel">إرسال إشعار للمشتركين
                </button>


                <div id="NotificationModel" class="modal fade" tabindex="-1" role="dialog"
                     aria-labelledby="myModalLabel" aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title"
                                    id="myModalLabel">إرسال إشعار للمشتركين</h5>
                                <button type="button" class="close" data-dismiss="modal"
                                        aria-hidden="true">×
                                </button>
                            </div>
                            <form method="post" enctype="multipart/form-data"
                                  action="{{route('send_course_notifications',$row->id)}}">
                                @csrf


                                <div class="modal-body">
                                    <div class="form-group">
                                        <label for="exampleInputEmail1">المحتوي باللغه العربية</label>
                                        <textarea name="body_ar" class="form-control" required></textarea>
                                    </div>
                                    <div class="form-group">
                                        <label for="exampleInputEmail1">المحتوي باللغه الإنجليزية</label>
                                        <textarea name="body_en" class="form-control" required></textarea>
                                    </div>

                                </div>
                                <div class="modal-footer">


                                    <button type="button" class="btn btn-light waves-effect"
                                            data-dismiss="modal">إلغاء
                                    </button>
                                    <button type="submit"
                                            class="btn btn-success waves-effect waves-light">إرسال
                                    </button>


                                </div>
                            </form>

                        </div><!-- /.modal-content -->
                    </div><!-- /.modal-dialog -->
                </div><!-- /.modal -->


                <button type="button" class="btn btn-info waves-effect waves-light"
                        data-toggle="modal" data-target="#ZoomModel">تحديث رابط Zoom
                </button>


                <div id="ZoomModel" class="modal fade" tabindex="-1" role="dialog"
                     aria-labelledby="myModalLabel" aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title"
                                    id="myModalLabel">تحديث رابط Zoom</h5>
                                <button type="button" class="close" data-dismiss="modal"
                                        aria-hidden="true">×
                                </button>
                            </div>
                            <form method="post" enctype="multipart/form-data"
                                  action="{{route('update_course_zoom',$row->id)}}">
                                @csrf


                                <div class="modal-body">
                                    <div class="form-group">
                                        <label for="exampleInputEmail1">الرابط</label>
                                        <input type="text" value="{{$row->zoom_link}}" required placeholder="الرابط"
                                               class="form-control"
                                               name="zoom_link">
                                        @if ($errors->has('zoom_link'))
                                            <small class="text-danger">{{ $errors->first('zoom_link') }}</small>
                                        @endif
                                    </div>

                                </div>
                                <div class="modal-footer">


                                    <button type="button" class="btn btn-light waves-effect"
                                            data-dismiss="modal">إلغاء
                                    </button>
                                    <button type="submit"
                                            class="btn btn-success waves-effect waves-light">تحديث
                                    </button>


                                </div>
                            </form>

                        </div><!-- /.modal-content -->
                    </div><!-- /.modal-dialog -->
                </div><!-- /.modal -->


                <button type="button" class="btn btn-info waves-effect waves-light"
                        data-toggle="modal" data-target="#DocumentModel">إرفاق ملف PDF
                </button>

                <div id="DocumentModel" class="modal fade" tabindex="-1" role="dialog"
                     aria-labelledby="myModalLabel" aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title"
                                    id="myModalLabel">إرفاق ملف PDF</h5>
                                <button type="button" class="close" data-dismiss="modal"
                                        aria-hidden="true">×
                                </button>
                            </div>
                            <form method="post" enctype="multipart/form-data"
                                  action="{{route('attach_pdf',$row->id)}}">
                                @csrf


                                <div class="modal-body">
                                    <div class="form-group">
                                        <label for="exampleInputEmail1">الملف</label>
                                        <input type="file" required placeholder="الملف"
                                               class="form-control"
                                               accept="application/pdf" name="document">
                                        @if ($errors->has('document'))
                                            <small class="text-danger">{{ $errors->first('document') }}</small>
                                        @endif
                                    </div>
                                    <div class="form-group">
                                        <label for="exampleInputEmail1">إسم الملف بالعربية</label>
                                        <input type="text" required placeholder="إسم الملف بالعربية"
                                               class="form-control" name="document_name_ar">
                                        @if ($errors->has('document_name_ar'))
                                            <small class="text-danger">{{ $errors->first('document_name_ar') }}</small>
                                        @endif
                                    </div>
                                    <div class="form-group">
                                        <label for="exampleInputEmail1">إسم الملف بالإنجليزية</label>
                                        <input type="text" required placeholder="إسم الملف بالإنجليزية"
                                               class="form-control" name="document_name_en">
                                        @if ($errors->has('document_name_en'))
                                            <small class="text-danger">{{ $errors->first('document_name_en') }}</small>
                                        @endif
                                    </div>

                                </div>
                                <div class="modal-footer">


                                    <button type="button" class="btn btn-light waves-effect"
                                            data-dismiss="modal">إلغاء
                                    </button>
                                    <button type="submit"
                                            class="btn btn-success waves-effect waves-light"> إرفاق
                                    </button>


                                </div>
                            </form>

                        </div><!-- /.modal-content -->
                    </div><!-- /.modal-dialog -->
                </div><!-- /.modal -->


                <h3>الملفات</h3>
                <table id="responsive-datatable" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>#</th>
                        <th>إسم الملف بالعربية</th>
                        <th>إسم الملف بالإنجليزية</th>

                        <th>التحكم</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $i = 1;
                    ?>
                    @foreach($documents as $document)
                        <tr>

                            <td>{{$i}}</td>
                            <td>{{$document->document_name['ar']}}</td>
                            <td>{{$document->document_name['en']}}</td>


                            <td>
                                <button type="button" class="btn btn-danger waves-effect waves-light"
                                        data-toggle="modal" data-target="#myModal{{$document->id}}">حذف
                                </button>

                                <button type="button" class="btn btn-info waves-effect waves-light"
                                        data-toggle="modal" data-target="#UpdatePdf{{$document->id}}">تحديث
                                </button>


                            </td>
                        </tr>
                        <?php
                        $i++;
                        ?>




                        <div id="myModal{{$document->id}}" class="modal fade" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title"
                                            id="myModalLabel">حذف العنصر</h5>
                                        <button type="button" class="close" data-dismiss="modal"
                                                aria-hidden="true">×
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <h5 class="font-16">هل تريد الحذف ؟</h5>

                                    </div>
                                    <div class="modal-footer">

                                        <form method="post" enctype="multipart/form-data"
                                              action="{{route('delete_pdf',$document->id)}}">
                                            @csrf
                                            @method('DELETE')
                                            <button type="button" class="btn btn-light waves-effect"
                                                    data-dismiss="modal">إلغاء
                                            </button>
                                            <button type="submit"
                                                    class="btn btn-danger waves-effect waves-light">حذف
                                            </button>
                                        </form>


                                    </div>
                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->
                        <div id="UpdatePdf{{$document->id}}" class="modal fade" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title"
                                            id="myModalLabel">تعديل ملف PDF</h5>
                                        <button type="button" class="close" data-dismiss="modal"
                                                aria-hidden="true">×
                                        </button>
                                    </div>
                                    <form method="post" enctype="multipart/form-data"
                                          action="{{route('update_pdf',$row->id)}}">
                                        @csrf


                                        <div class="modal-body">
                                            <div class="form-group">
                                                <label for="exampleInputEmail1">الملف</label>
                                                <input type="file" placeholder="الملف"
                                                       class="form-control"
                                                       accept="application/pdf" name="document">
                                                @if ($errors->has('document'))
                                                    <small class="text-danger">{{ $errors->first('document') }}</small>
                                                @endif
                                            </div>

                                        </div>
                                        <div class="form-group">
                                            <label for="exampleInputEmail1">إسم الملف بالعربية</label>
                                            <input type="text" required placeholder="إسم الملف بالعربية"
                                                   class="form-control" value="{{$document->document_name['ar']}}"
                                                   name="document_name_ar">
                                            @if ($errors->has('document_name_ar'))
                                                <small
                                                    class="text-danger">{{ $errors->first('document_name_ar') }}</small>
                                            @endif
                                        </div>
                                        <div class="form-group">
                                            <label for="exampleInputEmail1">إسم الملف بالإنجليزية</label>
                                            <input type="text" required placeholder="إسم الملف بالإنجليزية"
                                                   class="form-control" value="{{$document->document_name['en']}}"
                                                   name="document_name_en">
                                            @if ($errors->has('document_name_en'))
                                                <small
                                                    class="text-danger">{{ $errors->first('document_name_en') }}</small>
                                            @endif
                                        </div>
                                        <div class="modal-footer">


                                            <button type="button" class="btn btn-light waves-effect"
                                                    data-dismiss="modal">إلغاء
                                            </button>
                                            <button type="submit"
                                                    class="btn btn-success waves-effect waves-light"> إرفاق
                                            </button>


                                        </div>
                                    </form>

                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->


                    @endforeach

                    </tbody>
                </table>
                <h3>الطلاب</h3>
                <table id="datatable" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>#</th>
                        <th>الإسم</th>
                        <th>رقم الجوال</th>

                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $i = 1;
                    ?>
                    @foreach($students  as $student)
                        <tr>

                            <td>{{$i}}</td>
                            <td>{{$student->username}}</td>
                            <td>{{$student->mobile}}</td>


                        </tr>
                        <?php
                        $i++;
                        ?>






                    @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div> <!-- end row -->



@stop
