@extends('admin.layout.master')
@section('title', 'الاعدادات')
@section('content')

    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الاعدادات</h4>
            </div>
        </div>
    </div>


    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">الاعدادات</h4>
                @include('admin.layout.message')

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('settings.update',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')

                            <div class="row">

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="exampleInputsnapchat">اسناب شات</label>
                                        <input type="text" class="form-control"
                                               value="{{$row->snapchat}}"
                                               name="snapchat"
                                               id="exampleInputsnapchat"
                                               placeholder="اسناب شات">
                                        @if ($errors->has('snapchat'))
                                            <small
                                                class="text-danger">{{ $errors->first('snapchat') }}</small>
                                        @endif
                                    </div>
                                </div>


                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="exampleInputtwitter">تويتر</label>
                                        <input type="text" class="form-control"
                                               value="{{$row->twitter}}"
                                               name="twitter"
                                               id="exampleInputtwitter"
                                               placeholder="تويتر">
                                        @if ($errors->has('twitter'))
                                            <small
                                                class="text-danger">{{ $errors->first('twitter') }}</small>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="exampleInputinstagram">انستجرام</label>
                                        <input type="text" class="form-control"
                                               value="{{$row->instagram}}"
                                               name="instagram"
                                               id="exampleInputinstagram"
                                               placeholder="انستجرام">
                                        @if ($errors->has('instagram'))
                                            <small
                                                class="text-danger">{{ $errors->first('instagram') }}</small>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="exampleInputwhatsapp">واتس اب</label>
                                        <input type="text" class="form-control"
                                               value="{{$row->whatsapp}}"
                                               name="whatsapp"
                                               id="exampleInputwhatsapp"
                                               placeholder="واتس اب">
                                        @if ($errors->has('whatsapp'))
                                            <small
                                                class="text-danger">{{ $errors->first('whatsapp') }}</small>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="exampleInputzbony_link">لينك دفع زبوني</label>
                                        <input type="text" class="form-control"
                                               value="{{$row->zbony_link}}"
                                               name="zbony_link"
                                               id="exampleInputzbony_link"
                                               placeholder="لينك دفع زبوني">
                                        @if ($errors->has('zbony_link'))
                                            <small
                                                class="text-danger">{{ $errors->first('zbony_link') }}</small>
                                        @endif
                                    </div>
                                </div>


                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="exampleInputsala_link">لينك دفع سلة</label>
                                        <input type="text" class="form-control"
                                               value="{{$row->sala_link}}"
                                               name="sala_link"
                                               id="exampleInputsala_link"
                                               placeholder="لينك دفع سلة">
                                        @if ($errors->has('sala_link'))
                                            <small
                                                class="text-danger">{{ $errors->first('sala_link') }}</small>
                                        @endif
                                    </div>
                                </div>


                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="exampleInputabout_us">من نجن بالعربية</label>
                                        <textarea name="about_us_ar" class="form-control"
                                                  placeholder="من نجن بالعربية">{{old('about_us_ar')}}</textarea>
                                        @if ($errors->has('about_us_ar'))
                                            <small class="text-danger">{{ $errors->first('about_us_ar') }}</small>
                                        @endif
                                    </div>
                                </div>


                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="exampleInputabout_us_en">من نجن بالانجليزية</label>
                                        <textarea id="exampleInputabout_us_en" name="about_us_en" class="form-control"
                                                  placeholder="من نجن بالانجليزية">{{old('about_us_en')}}</textarea>
                                        @if ($errors->has('about_us_en'))
                                            <small class="text-danger">{{ $errors->first('about_us_en') }}</small>
                                        @endif
                                    </div>
                                </div>


                            </div>
                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>


        </div><!-- end col -->
    </div>



@stop
