@extends('admin.layout.master')
@section('title', " المستخدم $row->name")
@section('content')
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <style>
        .checked {
            color: orange;
        }
    </style>

    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">{{'المستخدم ' . $row->name}}</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">


            <div class="card-box">
                {{--                 @include('admin.layout.message')--}}

                <h4 class="header-title">{{'المستخدم ' . $row->name}}</h4>

                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: larger;font-family: cairo">
                        <th>الإسم</th>
                        <th>رقم الجوال</th>
                        <th>البريدالالكترونى</th>
                        <th>المحفظة</th>
                        <th>الدولة</th>
                        <th>المدينة</th>
                        <th>العملة</th>
                        <th>الحظر</th>
                        <th>الحالة</th>
                        <th>التقيم</th>
                    </tr>
                    </thead>
                    <tbody>

                    <tr>
                        <td>{{$row->fullname}}</td>
                        <td>{{$row->mobile}}</td>
                        <td>{{$row->email}}</td>
                        <td>{{$row->wallet}}</td>
                        <td>{{$row->country->name['ar']}}</td>
                        <td>{{$row->city->name['ar']}}</td>
                        <td>{{$row->country->currency}}</td>
                        <td>{{$row->block == 'true' ? 'محظور' : 'غير محظور'}}</td>
                        <td>{{
                            ($row->status == 'active') ? "مفعل" : "غير مفعل"
                            }}</td>

                        <td>
                            <span
                                class="fa fa-star {{getUserRate($row->id, 'rate_captain') > 0 ? 'checked' : ''}}"></span>
                            <span
                                class="fa fa-star {{getUserRate($row->id, 'rate_captain') > 1 ? 'checked' : ''}}"></span>
                            <span
                                class="fa fa-star {{getUserRate($row->id, 'rate_captain') > 2 ? 'checked' : ''}}"></span>
                            <span
                                class="fa fa-star {{getUserRate($row->id, 'rate_captain') > 3 ? 'checked' : ''}}"></span>
                            <span
                                class="fa fa-star {{getUserRate($row->id, 'rate_captain') > 4 ? 'checked' : ''}}"></span>

                        </td>
                    </tr>

                    </tbody>
                </table>

                <div class="row">
                    <div class="col-md-12 text-center">
                        <h3 style="margin-bottom: 15px">صورة المستخدم</h3>
                        <img src="{{asset("images/users/$row->image")}}" style="width: 35%">

                    </div>
                </div>
            </div>
            <div class="card-box">
                <h4 class="header-title">رحلاتي</h4>
                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>رقم الرحلة</th>
                        <th>السائق</th>
                        <th>الدولة</th>
                        <th>عنوان البدايه</th>
                        <th>عنوان النهاية</th>
                        <th>الفئة</th>
                        <th>الحالة</th>
                        <th>عدد الكيلوميتر</th>
                        <th>نوع الدفع</th>
                        <th>كود الخضم</th>
                        <th>السعر الكلى</th>
                        <th>التحكم</th>

                    </tr>
                    </thead>
                    <tbody>
                    @foreach($trips as $trip)

                        <tr>
                            <td>{{$trip->trip_code}}</td>
                            <td>
                                {{$trip->captain_id ? $trip->captain->fullname : 'لم يخصص بعد'  }}
                            </td>
                            <td>
                                {{$trip->country->name['ar']}}
                            </td>
                            <td>
                                {{$trip->start_address}}
                            </td>
                            <td>
                                {{$trip->end_address ?  $trip->end_address : 'لم يحدد بعد'}}
                            </td>
                            <td>
                                {{$trip->class->name['ar']}}
                            </td>
                            <td>
                                {{trip_status($trip->status)}}
                            </td>
                            <td>
                                {{$trip->kilos ? $trip->kilos : 'لم يحدد بعد'}}
                            </td>
                            <td>
                                {{$trip->payment == 'cash' ? 'نقدى' : 'من المحفظه'}}
                            </td>
                            <td>
                                {{$trip->coupon_id ? 'يوجد' : 'لا يوجد'}}
                            </td>
                            <td>
                                {{$trip->total_price ? $trip->total_price : 'لم يحدد بعد'}}
                            </td>
                            <td>
                                <a href="{{route('trips.show',$trip->id)}}">
                                    <button type="button"
                                            class="btn btn-success waves-effect waves-light">عرض
                                    </button>
                                </a>
                            </td>

                        </tr>
                    @endforeach


                    </tbody>
                </table>

                <a class="btn btn-primary" href="{{route('trips.index', 'id='. $row->id . '&type=' . $row->type)}}">
                    كل الرحلات
                </a>
            </div>

            <div class="card-box">
                <h4 class="header-title">رسائلى</h4>
                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">

                        <th>الرسالة</th>
                        <th>منذ</th>
                        <th>التحكم</th>

                    </tr>
                    </thead>
                    <tbody>
                    @foreach($messages as $message)
                        <tr>
                            <td>{{$message->message['ar']}}</td>
                            <td>{{\Carbon\Carbon::parse($message->created_at)->diffForHumans()}}</td>
                            <td>
                                <button type="button" class="btn btn-danger waves-effect waves-light"
                                        data-toggle="modal" data-target="#myModal{{$message->id}}">حذف
                                </button>
                            </td>
                        </tr>

                        <div id="myModal{{$message->id}}" class="modal fade" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title"
                                            id="myModalLabel">حذف العنصر</h5>
                                        <button type="button" class="close" data-dismiss="modal"
                                                aria-hidden="true">×
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <h5 class="font-16">هل تريد الحذف ؟</h5>

                                    </div>
                                    <div class="modal-footer">

                                        <form method="post" enctype="multipart/form-data"
                                              action="{{route('messages.destroy',$message->id)}}">
                                            @csrf
                                            @method('DELETE')
                                            <button type="button" class="btn btn-light waves-effect"
                                                    data-dismiss="modal">إلغاء
                                            </button>
                                            <button type="submit"
                                                    class="btn btn-danger waves-effect waves-light">حذف
                                            </button>
                                        </form>


                                    </div>
                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->

                    @endforeach

                    </tbody>

                </table>

                <a class="btn btn-primary" href="{{route('outgoing_messages.index', 'id=' . $row->id)}}">
                    كل الرسائل
                </a>
            </div>
        </div>
    </div> <!-- end row -->



@stop
