<?php $__env->startSection('title', 'الدورات'); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الدورات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">إنشاء جديد</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="<?php echo e(route('free_courses.store')); ?>" enctype="multipart/form-data">
                            <?php echo csrf_field(); ?>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">الاسم بالعربية</label>
                                    <input type="text" class="form-control" value="<?php echo e(old('title_ar')); ?>" name="title_ar"
                                           id="exampleInputEmail1"
                                           placeholder="الاسم بالعربية">
                                    <?php if($errors->has('title_ar')): ?>
                                        <small class="text-danger"><?php echo e($errors->first('title_ar')); ?></small>
                                    <?php endif; ?>
                                </div>

                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">الاسم بالانجليزية</label>
                                    <input type="text" class="form-control" value="<?php echo e(old('title_en')); ?>" name="title_en"
                                           id="exampleInputEmail1"
                                           placeholder="الاسم بالانجليزية">
                                    <?php if($errors->has('title_en')): ?>
                                        <small class="text-danger"><?php echo e($errors->first('title_en')); ?></small>
                                    <?php endif; ?>
                                </div>


                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">الوصف باللغة العربية</label>
                                    <textarea name="description_ar" required class="form-control"
                                              placeholder="الوصف باللغة العربية"><?php echo e(old('description_ar')); ?></textarea>
                                    <?php if($errors->has('description_ar')): ?>
                                        <small class="text-danger"><?php echo e($errors->first('description_ar')); ?></small>
                                    <?php endif; ?>
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">الوصف باللغة الإنجليزية</label>
                                    <textarea name="description_en" required class="form-control"
                                              placeholder="الوصف باللغة الإنجليزية"><?php echo e(old('description_en')); ?></textarea>
                                    <?php if($errors->has('description_en')): ?>
                                        <small class="text-danger"><?php echo e($errors->first('description_en')); ?></small>
                                    <?php endif; ?>
                                </div>

                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">القسم</label>
                                    <select name="category_id" required class="form-control">
                                        <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($category->id); ?>"> <?php echo e($category->name['ar']); ?> </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php if($errors->has('category_id')): ?>
                                        <small class="text-danger"><?php echo e($errors->first('category_id')); ?></small>
                                    <?php endif; ?>
                                </div>

                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">تاريخ بداية الدورة</label>
                                    <input type="date" name="start_date" required class="form-control">
                                    <?php if($errors->has('start_date')): ?>
                                        <small class="text-danger"><?php echo e($errors->first('start_date')); ?></small>
                                    <?php endif; ?>
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">تاريخ نهاية الدورة</label>
                                    <input type="date" name="end_date" required class="form-control">
                                    <?php if($errors->has('end_date')): ?>
                                        <small class="text-danger"><?php echo e($errors->first('end_date')); ?></small>
                                    <?php endif; ?>
                                </div>


                                <div class="form-group col-md-12">
                                    <label for="exampleInputEmail1">الصورة </label>
                                    <input type="file" name="image" class="dropify"/>

                                </div>
                            </div>
                            <div class="card-box">

                                <h4 id="TimeHours">أيام الدورة</h4>
                                <div class="row">

                                    <div class="form-group col-md-4">
                                        <label for="exampleInputEmail1">اليوم</label>
                                        <select name="day_name[]" required class="form-control">
                                            <?php $__currentLoopData = $days; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                                <option value="<?php echo e($key); ?>"><?php echo e($value); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        <?php if($errors->has('day_name')): ?>
                                            <small class="text-danger"><?php echo e($errors->first('day_name')); ?></small>
                                        <?php endif; ?>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="exampleInputEmail1">الساعه من</label>
                                        <input type="time" required placeholder="الساعه من" class="form-control"
                                               name="from_hour[]">
                                        <?php if($errors->has('from_hour')): ?>
                                            <small class="text-danger"><?php echo e($errors->first('from_hour')); ?></small>
                                        <?php endif; ?>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="exampleInputEmail1">الساعه إلى</label>
                                        <input type="time" required placeholder="الساعه إلى" class="form-control"
                                               name="to_hour[]">
                                        <?php if($errors->has('to_hour')): ?>
                                            <small class="text-danger"><?php echo e($errors->first('to_hour')); ?></small>
                                        <?php endif; ?>
                                    </div>


                                </div>
                                <div class="container">
                                    <button onclick="AddNewTime()" type="button" class="btn btn-success"> إضافة ميعاد
                                        جديد
                                    </button>
                                </div>


                            </div>


                            <button type="submit" class="btn btn-primary">حفظ</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>

    <script>
        function AddNewTime() {
            $.ajax({
                type: 'GET',
                url: '<?php echo e(route('getTimeDive')); ?>',
                success: function (data) {

                    $("#TimeHours").append(data.time_div);


                }
            })

        }

    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/alkhalaffamily/public_html/educourses/resources/views/admin/free_courses/create.blade.php ENDPATH**/ ?>